Skip to content

Autopay

This object represents the current Autopay plan. The current Autopay plan must be canceled before creating a new plan. The autopay cadence can be aligned to due dates or can be on a different payment schedule.

Cancel Autopay plan

Request

Security
oauth2(Required scopes: autopay:update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
cancellationReasonstring

The cancellation reason.

Default:"canceledByUser"
Enum:"invalidPaymentMethod""paymentMethodRemoved""tooManyFailedAttempts""loanFrozen""loanAccelerated""loanChargedOff""loanPaidOff""canceledByUser""loanTermsChanged"
caseIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-only

The case object unique identifier.

sendNoticeboolean

When set to false, the system will NOT send a autopayCanceledBySystem notice to the borrower.

Default:true
DELETE
/people/{personId}/loans/{loanId}/autopay
curl -i -X DELETE \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/autopay?cancellationReason=invalidPaymentMethod&caseId=string&sendNotice=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success